## python-couleur 0.5.0

=== Makefile ===
all: install_deps test

filename=couleur-`python -c 'import couleur;print couleur.version'`.tar.gz

export PYTHONPATH:=  ${PWD}
export FORCE_COULEUR:=  true

install_deps:
	@pip install -r requirements.pip

test:
	@nosetests --verbosity=2

clean:
	@printf "Cleaning up files that are already in .gitignore... "
	@for pattern in `cat .gitignore`; do rm -rf $$pattern; find . -name "$$pattern" -exec rm -rf {} \;; done
	@echo "OK!"

release: clean test publish
	@printf "Exporting to $(filename)... "
	@tar czf $(filename) couleur setup.py README.md
	@echo "DONE!"

publish:
	@python setup.py sdist register upload

=== debian/changelog ===
python-couleur (0.5.0-4) unstable; urgency=medium

  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:34:36 +0100

python-couleur (0.5.0-3) unstable; urgency=medium

  * Added FORCE_COULEUR=1 when running unit tests, so that it works even when
    building with git-buildpackage.
  * Fixed debian/copyright Files: field.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Oct 2014 08:05:29 +0000

python-couleur (0.5.0-2) unstable; urgency=low

  * Removed python-steadymark as Depends: (Closes: #722507, #722507).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2013 13:29:34 +0800

python-couleur (0.5.0-1) unstable; urgency=low

  * Initial release. (Closes: #721715)

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Sep 2013 19:49:16 +0800

=== debian/control ===
Source: python-couleur
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-nose, python-sure
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-couleur?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-couleur -b debian/newton
Homepage: https://github.com/gabrielfalcao/couleur

Package: python-couleur
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-nose,
         python-sure,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: tool to play around with ANSI features in a unix terminal
 Couleur is an ANSI terminal tool for Python, colored shell and other handy
 fancy features. With couleur you can mix modifiers and colors. Couleur is made
 of a single Python file and comes with syntax sugar.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/gabrielfalcao/couleur.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	FORCE_COULEUR=1 nosetests --verbosity=2
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/c/couleur couleur-(.*).tar.gz
